@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono&display=swap');

/** NFDI4ING COLORS **/
$nfdi4ing-red: rgb(173,34,33);
$nfdi4ing-green: rgb(0,125,89);
$nfdi4ing-blue: rgb(0,74,120);
$nfdi4ing-grey: rgb(157,157,156);
$nfdi4ing-black: rgb(0,0,0);
$nfdi4ing-white: rgb(255,255,255);

/** NFDI4ING FONT-SIZES **/
$nfdi4ing-xlarge: 36pt;
$nfdi4ing-large: 26pt;
$nfdi4ing-normal: 20pt;
$nfdi4ing-small: 16pt;
$nfdi4ing-xsmall: 12pt;
$nfdi4ing-xxsmall: 10pt;
$nfdi4ing-footnote: 8pt;

.nfdi4ing{
    font-family: Arial, Helvetica, sans-serif;    
    padding: 5.5em 2em 3em 13.4em;
}

.nfdi4ing code, 
.nfdi4ing .remark-code{
    font-family: 'Roboto Mono', 'Courier', 'monospace';
}

.nfdi4ing .remark-code
{
    font-size: $nfdi4ing-xsmall;
}

.nfdi4ing p, .nfdi4ing ul, .nfdi4ing ol{   
    font-size: $nfdi4ing-normal;
}

.nfdi4ing h1, .nfdi4ing h2, .nfdi4ing h3, .nfdi4ing h4, .nfdi4ing h5, .nfdi4ing h6{
    font-weight: bold;
}

.nfdi4ing h1{
    font-weight: normal;
    font-size: $nfdi4ing-large;
    color: $nfdi4ing-green;
}

.nfdi4ing h2{
    font-size: $nfdi4ing-normal;
}

.nfdi4ing .remark-slide-number {    
    bottom: 0.5em;
    left: 11.2em;
    opacity: unset;
    position: absolute;
    right: unset;
    font-size: $nfdi4ing-footnote;
}

.nfdi4ing .slide-header{
    position: absolute;
    top: 1em;
    left: 2em;
    right: 2em;
    height: 4em;
    background-image: url('img/header.svg');
    background-repeat: no-repeat;
    background-size: contain;
}

.nfdi4ing .slide-footer{
    position: absolute;
    bottom:0.5em;
    left: 2em;    
    font-size: $nfdi4ing-footnote;
}

.nfdi4ing .slide-license{
    position: absolute;
    display:block;
    bottom:2em;
    left: 2em;    
    width:80px;
    height:15px;
    font-size: $nfdi4ing-footnote;    
    background-image: url('https://mirrors.creativecommons.org/presskit/buttons/80x15/svg/by-sa.svg');
    background-size: contain;
}

.nfdi4ing .slide-layout+*{
    margin-top: 0;
}

.nfdi4ing ul{
    padding-inline-start: 2.1em;
}

.nfdi4ing ul ul, .nfdi4ing ol ul{
    padding-inline-start: 1em;
}

.nfdi4ing>ul, .nfdi4ing :not(li)>ul {
    list-style: none;
}

.nfdi4ing img{
    max-width: 100%;
    max-height: 24em;
}

.nfdi4ing>ul>li::before, .nfdi4ing :not(li)>ul>li::before{
    display: inline-block;
    position: relative;
    height: 0.6em;
    left: -2.1em;
    width: 1.7em;
    margin-right: -1.6em;
    background-image: url(img/nfdi4ing-stick-green.svg);
    content: '';
    background-size: cover;
    background-position: right;
    background-repeat: no-repeat;
}

.nfdi4ing>ol>li::marker {
    color: $nfdi4ing-green;
}

/****** TITLE-RED SLIDE *******/

.nfdi4ing.title-red{
    background-image: url('img/fdmnrw-stick-green.svg');
    background-position-x: 13.4em;
    background-position-y: 21em;
}

.nfdi4ing.title-red h1{
    color: $nfdi4ing-green;
    font-size: 36pt;
}

/****** TITLE-BLUE SLIDE *******/

.nfdi4ing.title-blue{
    background-image: url('img/nfdi4ing-stick-blue.svg');
    background-position-x: 0.4em;
    background-position-y: 5.7em;
}

.nfdi4ing.title-blue h1{
    color: $nfdi4ing-blue;
    font-size: 36pt;
}

/****** TITLE-GREEN SLIDE *******/

.nfdi4ing.title-green{
    padding-top: 10.9em;
    background-image: url('img/nfdi4ing-stick-green.svg');    
    background-position-x: 0.8em;
    background-position-y: 11em;
}

.nfdi4ing.title-green h1{
    color: $nfdi4ing-green;
    font-size: 36pt;
}

.nfdi4ing.title-green.remark-slide-content{
    padding-left: 19em;
}

/****** SMALL TEXT SLIDE ******/

.nfdi4ing.small p,.nfdi4ing.small ul,.nfdi4ing.small ol,.nfdi4ing.small pre{   
    font-size: $nfdi4ing-small;
}

.nfdi4ing.small .remark-code{
    font-size: $nfdi4ing-xsmall;
}

.nfdi4ing.small p,.nfdi4ing.small pre,.nfdi4ing.small ul,.nfdi4ing.small ol,.nfdi4ing.small blockquote{
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

/****** WIDE SLIDE *******/

.nfdi4ing.wide{
    padding-left: 2em;
}

.nfdi4ing.wide h1{
    padding-left: 6.57em;
}

/****** DENSE TEXT SLIDE ******/

.nfdi4ing.dense p,
.nfdi4ing.dense pre,
.nfdi4ing.dense ul,
.nfdi4ing.dense ol,
.nfdi4ing.dense blockquote,
.nfdi4ing.dense h2{
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

.nfdi4ing.dense ul ul{
    margin-top: 0;
    margin-bottom: 0;
}

/****** SPARSE TEXT SLIDE ******/

.nfdi4ing.sparse>ul>li:not(:first-child) {
    margin-top: 1em;
    margin-bottom: 1em;
}

/****** TWO COLUMNS SLIDE ******/

.nfdi4ing.cols-2{
    columns: 2;
}

.nfdi4ing.cols-2 > h1:first-of-type {
    column-span: all;
}

.nfdi4ing.cols-2 > h1:first-of-type + * {
    margin-top: 0;
}

.nfdi4ing.cols-2 > .col-break{
    break-before: column;
    margin: 0;
}

@supports not (break-after: column) {
    .nfdi4ing.cols-2 > .col-break{
        height:2em;
    }
}

.nfdi4ing.cols-2 > .col-spanall{
    column-span: all;
    display: block;
}

/****** IMAGE ON RIGHT SLIDE ******/

.nfdi4ing.img-right > p:first-of-type {
    text-align: center;
    height: 100%;
    float: right;
    width: 30%;
    margin: auto;
}

/****** IMAGE ON LEFT SLIDE ******/

.nfdi4ing.img-left > p:first-of-type {
    text-align: center;
    height: 100%;
    float: left;
    width: 30%;
    margin-right: 1em;
}

/****** IMAGE ONLY SLIDE ******/

.nfdi4ing.img-only > p:first-of-type {
    text-align: center;
}

.nfdi4ing.img-only > p:not(:first-of-type){
    font-size: $nfdi4ing-footnote;
    text-align: right;
    bottom: -1em;
    right: 3.8em;
    position: absolute;
    padding: 0.5em;
    background: rgba(255,255,255,0.3);
}

.remark-slide-content.img-left > p,
.remark-slide-content.img-left > ul,
.remark-slide-content.img-left > ol,
.remark-slide-content.img-left > blockquote {
    overflow: auto;
}
